#include <msp430f5529.h>
#include "TMP112.h"

/*
 * main.c
 */


char slave_addr = 0x48;                // I2C slave address for TI temp sensor
char Freq_prescale = 0xF0;             // Set I2C freq to 100kHz.
float temperature = 0;                // temperature readings
int Device= 0;


// TxData table is used to write to the registers of the TMP112
//first byte: enter the pointer to the register (see Datasheet registers table page 18)
//byte 1 : data to be sent
//byte 2 : data to be sent
unsigned char TxData[] =              // Table of data to transmit
{
  0x00, //  pointer to the register
  0x00, // byte 1
  0x0, //byte 2
};



int main(void) {

    WDTCTL = WDTPW | WDTHOLD;	// Stop watchdog timer
	

    while(1)
    {
    // configuring I2C module
      USCB1_I2C_setup(slave_addr, Freq_prescale);

     // setting up the register (Tlow , just an example) to be modified, see above for more details
      TxData[0]=0x02; // pointer to the register
      TxData[1]=0x61; // byte 1
      TxData[2]=0x0,  //byte 2
    // the following function write the register defined in TxData
      ConfigsensorAtUSCB1_I2C(slave_addr);

      // temperature reading
      temperature = ReadTempAtUSCB1_I2C(slave_addr);
      // temp read x LSB = final temperature
      temperature= temperature * 0.0625;

      _NOP();
    }

}
